# https://discourse.nixos.org/t/how-to-create-a-development-environment-with-intellij-idea-and-openjdk/10153
{
  pkgs ? import <nixpkgs> {
     # https://github.com/NixOS/nixpkgs/issues/166220#issuecomment-1745803058
     config.allowUnfree = true;
  }
}:
(
  pkgs.buildFHSUserEnv
  {
    name = "foo";
    targetPkgs = pkgs_:
    [
      pkgs_.jetbrains.idea-ultimate

      # Gradle 8.7 is configured for JDK 21
      pkgs_.jdk
      pkgs_.gradle

    ];
  }
).env
